//-----------------------------------------------------------------------------
//    Api_2_Tkr_Sevt_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package uicc.usim.test.toolkit.api_2_tkr_sevt;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import javacard.framework.*;
import uicc.toolkit.*;
import uicc.usim.test.util.* ;

/**
 * Test Area : usim.toolkit...
 *
 * Applet is triggered on Install (Install)
 *
 *
 */

public class Api_2_Tkr_Sevt_3 extends TestToolkitApplet
{

     
    
    /**
     * Constructor of the applet
     */
    public Api_2_Tkr_Sevt_3()
    {
        }

    /**
     * Method called by the JCRE at the installation of the applet.
     */
    public static void install(byte[] bArray, short bOffset, byte bLength) {
        

        
        // Create a new applet instance.
        Api_2_Tkr_Sevt_3 thisApplet = new Api_2_Tkr_Sevt_3();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);

        // Initialise the data of the test applet.
        thisApplet.init();
       
        thisApplet.obReg.setEvent(EVENT_UNFORMATTED_SMS_CB);
                                                           
   }


    public void processToolkit(short event)
    {
        
                
        boolean bRes = false;
        byte    bTestCaseNb = (byte)0x01;
        
        // --------------------------------------------------------------------------
        //  Test Case 6 : Applet3 with no TAR defined registers to 
        //  EVENT_UNFORMATTED_SMS_CB event
        // --------------------------------------------------------------------------

        if (event == EVENT_UNFORMATTED_SMS_CB) {
            
            bRes = true;
            reportTestOutcome(bTestCaseNb, bRes);
            
            // 2- setEvent(EVENT_FORMATTED_SMS_PP_ENV)
            bTestCaseNb = (byte) 0x02;
            try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_ENV);
                bRes=false;
            }
            catch (ToolkitException e) {    
                bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
            }
            reportTestOutcome(bTestCaseNb, bRes);
        
            // 3- setEvent(EVENT_FORMATTED_SMS_PP_UPD)
            bTestCaseNb = (byte) 0x03;
            try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_UPD);
                bRes=false;
            }       
            catch (ToolkitException e) {    
                bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
            }
            reportTestOutcome(bTestCaseNb, bRes);
                
            // 4- setEvent(EVENT_FORMATTED_SMS_CB)
            bTestCaseNb = (byte) 0x04;
            try {
                obReg.setEvent(EVENT_FORMATTED_SMS_CB);
                bRes=false;
            }       
            catch (ToolkitException e) {    
                bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
            }
            reportTestOutcome(bTestCaseNb, bRes);
        }
                

    }


}