//-----------------------------------------------------------------------------
//Api_2_Ueh_Gcap_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//Package Definition
//-----------------------------------------------------------------------------
package uicc.usim.test.toolkit.api_2_ueh_gcap;

//-----------------------------------------------------------------------------
//Imports
//-----------------------------------------------------------------------------
import uicc.usim.test.util.*;
import uicc.usim.toolkit.*;
/**
* Test Area : uicc.usim.tookit.USATEnvelopeHandler.getCapacity()
*/

public class Api_2_Ueh_Gcap_1 extends TestToolkitApplet implements uicc.usim.toolkit.ToolkitConstants
{
    // Number of tests
    byte testCaseNb = (byte) 0x00;
      
    /**
    * Constructor of the applet
    */
    public Api_2_Ueh_Gcap_1 () 
    {
    }
    
    
    /**
    * Method called by the JCRE at the installation of the applet
    */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
        Api_2_Ueh_Gcap_1  thisApplet = new Api_2_Ueh_Gcap_1 ();
        
        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        
        // Initialise the data of the test applet
        thisApplet.init(); 
        
        //register to EVENT_FORMATTED_SMS_PP_ENV
        thisApplet.obReg.setEvent(EVENT_FORMATTED_SMS_PP_ENV);
    }
    
    
    /**
     * Method called by the SIM Toolkit Framework
    */
    public void processToolkit(short event) 
    {
        // Result of tests
        boolean bRes;
        
        // results of methods
        short sLength = 0;
        short sCapacity = 0;
                
        // Get the system instance of handlers
          
          USATEnvelopeHandler envHdlr = USATEnvelopeHandlerSystem.getTheHandler();
        
        // Get length of the BER TLV
          bRes = false;
          testCaseNb++;
        try {
            sLength = envHdlr.getLength();
            bRes = true;
        }
          catch (Exception e)  {    
              bRes = false;
          }
          
          // get capacity of the handler
        try {
            sCapacity = envHdlr.getCapacity();
            bRes &= true;
        }
          catch (Exception e)  {    
              bRes &= false;
          }
          
        // Capacity must be greater than length of BER TLV
        if (sCapacity < sLength)
        {
              bRes &= false;
        }
        else
        {
            bRes &= true;
        }
        reportTestOutcome(testCaseNb, bRes) ;
    }
}
